#ifndef STA_DRIVERS_BMI088_DEFS_HPP
#define STA_DRIVERS_BMI088_DEFS_HPP

//GENERAL
#define BMI088_READ_MASK				0x80


//GYROSCOPE
#define BMI088_GYRO_CHIP_ID			0x0F

#define BMI088_REG_GYRO_CHIP_ID		0x00
#define BMI088_REG_GYRO_LPM1			0x11
#define BMI088_REG_GYRO_RANGE		0x0F
#define BMI088_REG_GYRO_BANDWIDTH	0x10
#define BMI088_REG_GYRO_RATE_Z_MSB	0x07
#define BMI088_REG_GYRO_RATE_Z_LSB	0x06
#define BMI088_REG_GYRO_RATE_Y_MSB	0x05
#define BMI088_REG_GYRO_RATE_Y_LSB	0x04
#define BMI088_REG_GYRO_RATE_X_MSB	0x03
#define BMI088_REG_GYRO_RATE_X_LSB	0x02


//ACCELEROMETER
#define BMI088_ACC_CHIP_ID			0x1E

#define BMI088_REG_ACC_CHIP_ID		0x00
#define BMI088_REG_ACC_PWR_CTRL		0x7D
#define BMI088_REG_ACC_RANGE			0x41
#define BMI088_REG_ACC_CONF			0x40
#define BMI088_REG_ACC_Z_MSB			0x17
#define BMI088_REG_ACC_Z_LSB			0x16
#define BMI088_REG_ACC_Y_MSB			0x15
#define BMI088_REG_ACC_Y_LSB			0x14
#define BMI088_REG_ACC_X_MSB			0x13
#define BMI088_REG_ACC_X_LSB			0x12

#endif // STA_DRIVERS_BMI088_DEFS_HPP
